image: node:latest

stages:
  - test
  - publish

install:
  stage: test
  script:
    - npm install

publish:
  stage: publish
  script:
    - echo $NPMRC >> ./.npmrc
    - npm publish --access=public
  only:
    - main
